/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.filter-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: rem(16);
    padding: rem(16);
    margin-bottom: rem(8);
    color: var(--white);
    // background: var(--white);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    position: relative;
    z-index: 1;
    overflow: hidden;

    i {
        position: relative;
        z-index: 1;
        color: var(--color-default-2) !important;
    }

    &::after {
        content: '';
        width: 0;
        height: 100%;
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: 1;
        transition: all 0.5s ease;
        background: linear-gradient(90deg, rgba(11, 8, 62, 0) 0%, #4C42CB 50%, rgba(11, 8, 62, 0) 100%);
        width: 100%;
        transform: rotate(180deg);
        z-index: 0;
    }

    &:hover,
    &.active {
        color: var(--white);

        .filter-item-number {
            color: var(--white) !important;
        }

        .filter-item-text {
            color: var(--white) !important;
        }

        .icon-left i {
            color: var(--color-hover-icon);
        }

        .icon-arrow {
            opacity: 1;
        }

        i {
            color: var(--white) !important;
        }

        &::after {
            width: 200%;
            left: 0%;
            -webkit-transition: width 0.5s ease;
            transition: width 0.5s ease;
        }
    }


    &:last-child {
        margin-bottom: 0;
    }

    &-left {
        display: flex;
        align-items: center;
        position: relative;
        z-index: 1;
    }

    &-number {
        font-size: rem(16);
        line-height: rem(16);
        font-weight: 300;
        margin-right: rem(8);
        min-width: rem(48);
        color: var(--color-default-1);
    }

    &-text {
        font-size: rem(14);
        line-height: rem(14);
        font-weight: 300;
    }

    // i{
    //    width: 6px;
    //    height: 14px;
    //    background: var(--recent-grey-title); 
    // }

    i {
        width: rem(8);
        height: rem(8);
        font-size: rem(8);
        color: var(--recent-grey-title);
    }

    &:hover {
        text-decoration: none;
        // background: var(--cards-background-hover);
    }

    &.active {
        // background: var(--pagination-active);
        color: var(--white);

        i {
            color: var(--white);
        }
    }
}